﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Sample145862;
using MVCSampleBrowser.Models;
using Sample145862.Models;
using Sample142103;
using Syncfusion.JavaScript;
using System.Collections;
using Syncfusion.Linq;

namespace Sample145862.Controllers
{
    public class GridController : Controller
    {
      
        // GET: /Grid/
        public ActionResult GridFeatures()
        {
            return View();
        }

        public ActionResult Data(DataManager dm)
        {
            IEnumerable Data = OrderRepository.GetAllRecords().Take(20).ToList();
            Syncfusion.JavaScript.DataSources.DataOperations operation = new Syncfusion.JavaScript.DataSources.DataOperations();
            int count = Data.AsQueryable().Count();
            Data = operation.Execute(Data, dm);
            if (dm.Where != null && dm.Where.Count > 0) //Filtering
            {
                count = Data.AsQueryable().Count();
            }
            return Json(new { result = Data, count = count }, JsonRequestBehavior.AllowGet);
        }
        
    }
}
